package com.company.mavenproject1;

import java.io.*;

public class FilePrinter implements Printer {

    private final File file;

    public FilePrinter(File file) {
        if (null == (this.file = file)) throw new NullPointerException();
    }

    public void print(final Job job) throws IOException {
        final PrintStream out = new PrintStream(file);
        try { job.feed(out); }
        finally { out.close(); }
        if (out.checkError()) throw new IOException();
    }
}
