package com.company.mavenproject1;

import java.io.IOException;
import javax.enterprise.event.Observes;
import javax.inject.*;
import org.jboss.weld.environment.se.events.ContainerInitialized;

@Singleton
public class Main {

    private @Inject Printer printer;

    public void print(
            final @Observes ContainerInitialized initialized,
            final Printer.Job job)
    throws IOException {
        //Printer printer = new CheckedPrinter(new FlushedPrinter(new BanneredPrinter(new StandardPrinter(System.out))));
        printer.print(job);
    }
}
