package com.company.mavenproject1;

import java.io.*;
import javax.inject.Inject;

public class StandardPrinter implements Printer {

    private final PrintStream out;

    public @Inject StandardPrinter(final PrintStream out) {
        if (null == (this.out = out)) throw new NullPointerException();
    }

    @Override public void print(Job job) throws IOException {
        job.feed(out);
    }
}
